#!/bin/bash

# Copyright (C) 2004 Tuatha de Dana

# This program is part of PHPloghost

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

# Change these variables to reflect your situation.
database=sqlsyslogd
export table=logs
sqluser=""
password=""

# Location of the mysql daemon:
mysqld=/usr/bin/mysql

# A couple of steps should be taken to maintain your database.
# If not, the number of messages will fill your database.
# By default, logs are deleted after they're one year old.
# Change this to meat your requirements.
SQL_DELETE="DELETE FROM $table WHERE date < CURDATE() - INTERVAL 1 year;"

# After a large amount of rows have been deleted, we should
# optimize the table.
SQL_OPT="OPTIMIZE TABLE $table;";

$mysqld -u$sqluser -p$password -e"$SQL_DELETE" -D$database
$mysqld -u$sqluser -p$password -e"$SQL_OPT" -D$database
